import { jsx } from "react/jsx-runtime";
import { CurrencyGbpIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CurrencyGbp = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CurrencyGbp", ...props, children: /* @__PURE__ */ jsx(CurrencyGbpIcon, { weight: variant }) });
  }
);
CurrencyGbp.displayName = "CurrencyGbp";
Object.assign(CurrencyGbp, { isGdsIcon: true });
export {
  CurrencyGbp
};
